Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.framework.jca.system
Class STCPropertiesInfo

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              java.util.Properties
                  com.stc.connector.framework.jca.system.STCPropertiesInfo

All Implemented Interfaces:
  java.lang.Cloneable, javax.resource.spi.ConnectionRequestInfo, java.util.Map, java.io.Serializable

public class STCPropertiesInfo
extends java.util.Properties
implements javax.resource.spi.ConnectionRequestInfo

Class implementing the ConnectionRequestInfo interface which enables a resource adapter to pass its own request specific data structure across the connection request flow. A resource adapter extends this class to support its own data structures for connection request. A typical use allows a resource adapter to handle application component specified per-connection request properties (example - client ID, language). The application server passes these properties back across to match/createManagedConnection calls on the resource adapter. These properties remain opaque to the application server during the connection request flow. Once the ConnectionRequestInfo reaches match/createManagedConnection methods on the ManagedConnectionFactory instance, resource adapter uses this additional per-request information to do connection creation and matching.

Version:
  $Version$
Author:
  $Author: kgambrel $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`STCPropertiesInfo()` Constructor for STCConnectionRequestInfo.

Method Summary
`void` | `merge(java.util.Properties props)` Merges a Properties object into this STCConnectionRequestInfo instance by overriding any existing keys

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, propertyNames, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.resource.spi.ConnectionRequestInfo
`equals, hashCode`

Constructor Detail

### STCPropertiesInfo

    public STCPropertiesInfo()

  Constructor for STCConnectionRequestInfo.

Method Detail

### merge

    public void merge(java.util.Properties props)

  Merges a Properties object into this STCConnectionRequestInfo instance by overriding any existing keys

  Parameters:
    `props` - The Properties instance to be merged

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD